# Class: config

## config/config~ config

Implementation of the GPG4Browsers config object

#### new config()

  This object contains configuration values and implements storing and retrieving configuration them from HTML5 local storage. This object can be accessed after calling openpgp.init() using openpgp.config Stored config parameters can be accessed using openpgp.config.config
  Source:
    - config/config.js, line 34

### Members

#### debug

  If enabled, debug messages will be printed
  Source:
    - config/config.js, line 58

#### prefer_hash_algorithm

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `prefer_hash_algorithm` | Integer |
  `encryption_cipher` | Integer |
  `compression` | Integer |
  `show_version` | Boolean |
  `show_comment` | Boolean |
  `integrity_protect` | Boolean |
  `keyserver` | String |

  Source:
    - config/config.js, line 44